Bug 64444 - [CSSRegions]Parse -webkit-region-overflow property
Summary: [CSSRegions]Parse -webkit-region-overflow property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2011-07-13 03:18 PDT by Mihnea Ovidenie
Modified: 2011-07-19 12:32 PDT (History)
1 user (show)

See Also:


Attachments
Patch (15.64 KB, patch)
2011-07-13 07:32 PDT, Mihnea Ovidenie
hyatt: review-
hyatt: commit-queue-
Details | Formatted Diff | Diff
Patch 2 (13.67 KB, patch)
2011-07-14 02:37 PDT, Mihnea Ovidenie
hyatt: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Patch 3 (16.01 KB, patch)
2011-07-19 08:29 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2011-07-13 03:18:14 PDT
Parse region-overflow property, as described in http://www.w3.org/TR/css3-regions/#the-region-overflow-property
Comment 1 Mihnea Ovidenie 2011-07-13 07:32:42 PDT
Created attachment 100672 [details]
Patch
Comment 2 WebKit Review Bot 2011-07-13 07:35:23 PDT
Attachment 100672 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1

Source/WebCore/css/CSSPrimitiveValueMappings.h:1347:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebCore/css/CSSPrimitiveValueMappings.h:1359:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Total errors found: 2 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Mihnea Ovidenie 2011-07-13 07:46:16 PDT
A large part of the switch constructions in CSSPrimitiveValueMappings.h are suffering from the same style issue. I can volunteer to remove the style warning in this file, if someone thinks it is worth the effort.
Comment 4 Dave Hyatt 2011-07-13 11:33:32 PDT
Comment on attachment 100672 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100672&action=review

Minor nits with the enum.

> Source/WebCore/css/CSSPrimitiveValueMappings.h:1358
> +    switch (m_value.ident) {

Fix the style issues with the switch statements here.

> Source/WebCore/rendering/style/RenderStyleConstants.h:441
> +#if ENABLE(CSS_REGIONS)
> +enum ERegionOverflow { ROAuto, ROBreak };
> +#endif

This is really an obsolete style that we haven't gotten around to eliminating. Just do this instead:

enum RegionOverflow { AutoRegionOverflow, BreakRegionOverflow };
Comment 5 Mihnea Ovidenie 2011-07-14 02:37:14 PDT
Created attachment 100791 [details]
Patch 2

Second version of patch.
Comment 6 Dave Hyatt 2011-07-18 13:46:47 PDT
Comment on attachment 100791 [details]
Patch 2

r=me
Comment 7 WebKit Review Bot 2011-07-18 14:41:44 PDT
Comment on attachment 100791 [details]
Patch 2

Rejecting attachment 100791 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
1506a4d838b3461cb2fe5a17936512946a2893b0
r91211 = ba255a67dd58a2d5d6f8ff894a4cae1dec952aed
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.
Updating chromium port dependencies using gclient...

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/9112451
Comment 8 Mihnea Ovidenie 2011-07-19 08:29:41 PDT
Created attachment 101322 [details]
Patch 3

Same patch with Changelog changes. Somehow i failed to include these changes in the previous patch. My bad.
Comment 9 Dave Hyatt 2011-07-19 11:50:21 PDT
Comment on attachment 101322 [details]
Patch 3

r=me
Comment 10 WebKit Review Bot 2011-07-19 12:32:14 PDT
Comment on attachment 101322 [details]
Patch 3

Clearing flags on attachment: 101322

Committed r91286: <http://trac.webkit.org/changeset/91286>
Comment 11 WebKit Review Bot 2011-07-19 12:32:18 PDT
All reviewed patches have been landed.  Closing bug.